﻿using Infragistics.Controls.Gauges;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LinearGaugePositiveNegative
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        
        private void XamLinearGauge_ValueChanged(object sender, Infragistics.DoubleValueChangedEventArgs e)
        {
            XamLinearGauge gauge = sender as XamLinearGauge;

            if (gauge.Ranges.Count > 0)
            {
                XamLinearGraphRange range = gauge.Ranges[0] as XamLinearGraphRange;

                if (e.NewValue == 0)
                {
                    range.StartValue = 0;
                    range.EndValue = 0;
                    range.Brush = Brushes.Transparent;
                }
                else
                {
                    if (e.NewValue > 0)
                    {
                        range.StartValue = 0;
                        range.EndValue = e.NewValue;
                        range.Brush = Brushes.Green;
                    }
                    else
                    {
                        range.StartValue = e.NewValue;
                        range.EndValue = 0;
                        range.Brush = Brushes.Red;
                    }
                }
            }
        }

        private void XamLinearGauge_Loaded(object sender, RoutedEventArgs e)
        {
            XamLinearGauge gauge = sender as XamLinearGauge;
            gauge.Ranges.Add(new XamLinearGraphRange() { Brush = Brushes.Transparent, StartValue = 0, EndValue = 0 });
        }
    }
}
